package com.backendsys.mapper.Med;

import com.backendsys.entity.Med.MedMaterialCategoryDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MedMaterialCategoryMapper {
    List<Map<String, Object>> queryMaterialCategoryList(MedMaterialCategoryDTO medMaterialCategoryDTO);
    Map<String, Object> queryMaterialCategoryDetail(Long material_category_id);
    long insertMaterialCategory(MedMaterialCategoryDTO medMaterialCategoryDTO);
    long deleteMaterialCategory(MedMaterialCategoryDTO medMaterialCategoryDTO);
    long updateMaterialCategory(MedMaterialCategoryDTO medMaterialCategoryDTO);
}
